@clocklimited/darkroom

8.1.1 • Public • Published

darkroom

An image manipulation library.

Installation

As of v4.0.0 darkroom requires 1.3.20+ to work correctly.

It will still mostly work with GraphicsMagick 1.3.18+ but the resize({ mode: 'fit '}) will not work due to this #36

v4 will not work well with GraphicsMagick pre 1.3.18

v4.7.0 requires 1.3.26+ to fixed issues with GM not identifying some gifs.

Mac OS

brew install graphicsmagick
npm install --save

Readme

Keywords

Package Sidebar

Install

npm i @clocklimited/darkroom

Weekly Downloads

16

Version

8.1.1

License

BSD-3-Clause

Unpacked Size

5.08 MB

Total Files

45

Last publish

Collaborators

  • mrstebo
  • scott-clock
  • clock-release-bot
  • steepnicki
  • asheboy